Subject: Re: [PATCH] contrib/difftool: use a separate config namespace for difftool commands

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Mar 2009 16:42:10 -0700

Markus Heidelberg <[email-masked]> writes:

> David Aguilar, 10.03.2009:
>> On  0, Jay Soffian <[email-masked]> wrote:
>> > On Mon, Mar 9, 2009 at 5:12 AM, David Aguilar <[email-masked]> wrote:
>> > >  contrib/difftool/git-difftool        |    6 +++---
>> > 
>> > Aside, (for Junio I guess...), what's the reason this command is in
>> > contrib, and by what criteria might it graduate to being installed
>> > with the rest of the git commands?
>> > 
>> > j.
>> 
>> My thoughts (also for Junio, I guess..):
>> 
>> If y'all feel that it can live with the rest of the git
>> commands then that would be great =)
>
> I'd like to see it as a general git tool, too.
> Maybe it can even share some common functionality with git-mergetool.

The code was copied and pasted very heavily, and I think (IIRC) the author
was a bit too ashamed to have it outside contrib/ before it is properly
refactored or something like that.  Which I happen to agree with, by the
way.